/***************************************************************************
 *  A/D-Wandler
 ***************************************************************************/
#include <inttypes.h>
#include <avr/io.h>

#include "portconfig.h"


/***************************************************************************
 * 
 * Initialisierung
 * Wandlerfrequenz, Ref-Spannung, Mux-Kanal, Pin als Input
 * 
 ***************************************************************************/
void adcInitialize(void)
{
	ADMUX = (0<<REFS1)|(0<<REFS0)|(0<<MUX3)|(1<<MUX2)|(1<<MUX1)|(0<<MUX0)|(1<<ADLAR); 

	ADCSR = (1<<ADEN)|(0<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);
	
}

/***************************************************************************
 * 
 * Wert lesen
 * Der ADC fhrt vor jedem Lesen intern ein Dummy-Readout aus
 * Von daher gengt ein Auslesen
 * 
 ***************************************************************************/
uint8_t adcReadValue(void)
{
	/* Wandlung starten */
	ADCSR |= (1<<ADSC);

	/* Warten bis die AD-Wandlung abgeschloen ist */
	while ( !(ADCSR & (1<<ADIF)) );
	
	return (ADCH);
}
