/***************************************************************************
 *
 *  Messung der Akkuspannung
 *  ADC muss vorher inialisiert sein, siehe adc.h
 *
 ***************************************************************************/
#include <inttypes.h>
#include <avr/io.h>
#include "adc.h"
#include "akku.h"

uint16_t voltage_levels[] = 
	{
186,	//0 Akku leer
187,	//1 Akku 5%
189,	//2 Akku 10%
193,	//3 Akku 25%
199,	//4 Akku 50%
212 	//5 Akku 100%
	
	};


/***************************************************************************
 * 
 * Initialisierung
 * ADC starten
 * Status auf 0
 * 
 ***************************************************************************/
void akkuInitialize(void)
{
	adcInitialize();
	akkustatus = 0;
}


/***************************************************************************
 * 
 * Akkustand ermitteln
 * 16 Messungen zur Mittelwertbildung
 * Status aus Tabelle ableiten
 * 
 ***************************************************************************/
void akkuGetStatus(void)
{
	uint16_t adcSum=0;
	uint8_t i;

	//16 Werte Mitteln
	for(i=0;i<16;i++)
    {
		adcSum += adcReadValue(); 
	}
	adcSum /= 16;

	akkustatus = 0;
  	for(akkustatus=0;akkustatus<6;akkustatus++)
	{
		if (adcSum < voltage_levels[akkustatus])
		{
			break;
		}
	}

}
