/*
	Counter0 wird fr einen Globalen Timer benutzt.

	Verwendung fr:
	
		Blinken der Status-LED
		Prfroutine fr langen Tasterdruck
		Frequenz fr Statusled = YELLOW

	Counter1 wird fr die PWM-Ausgabe genutzt,
	siehe dazu "pwm.h"

*/

#include <avr/io.h>
#include <avr/interrupt.h>

#include "timer.h"


/***************************************************************************
 * 
 * Initialisieren
 * 
 ***************************************************************************/
void timerInitialize(void)
{
	/*
		CS02	CS01	CS00 
		0 		0 		0 		Stop, the Timer/Counter0 is stopped
		0 		0 		1 		CK			1,9Khz
		0 		1 		0 		CK/8 		244hz
		0 		1 		1 		CK/64		60Hz
		1 		0 		0 		CK/256		7Hz
		1 		0 		1 		CK/1024		4Hz	
	*/

	TCCR0 = (0<<CS02)|(1<<CS01)|(0<<CS00); 

	TIMSK |= (1<<TOIE0);		//enable T0 overflow interrupt
	
	timer0IntervalCount = 0;
}




